parameter lwr = 5+1/64;
parameter upr = 5+1/64;
parameter per = 64;
parameter inc = 0.0001;
parameter ramp = 0;

output double I;
output double Q;
output complex s;

double freq;
double dir;
double amp;
double phz;

once if (lwr!=upr) dir = inc;

freq = freq + dir;
if (freq <= lwr) {freq = lwr; dir = -dir;}
if (freq >= upr) {freq = upr; dir = -dir;}

phz = phz + freq/per;

amp = 1+  ramp*(freq - lwr)
                           /(.001+lwr);

s = ejx2p(phz)*amp;
I = real(s);
Q = imag(s);

