parameter lwr = 1;
parameter upr = 10;
parameter per = 64;
slider phz = .5;
parameter gain = 2.5;

output h[per];

double phase = int(phz*16+.5)/16;
if (changed(phase))
    println("phz:",phase);
if (changed(lwr) 
    || changed(upr) 
    || changed(per) 
    || changed(phz)) {
    double u = upr;
    if (upr == lwr) u = lwr;
  
    for (double n=0;n<per;n=n+1) {
        h[n] = 0;
        for (double f = lwr; f<=u;f=f+1) {
            h[n] = h[n] 
                   + cos2p(phase + n*f/per)
                           *gain;
        }
    }
    rotate(h,sizeof(h)/2);
}
